Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Shared_Memory_Pool::SHM_TABLE Struct Reference

Keeps track of all the segments being used. More...

`#include <Shared_Memory_Pool.h>`

List of all members.

## Public Attributes
key_t | key_
| Shared memory segment key.
int | shmid_
| Shared memory segment internal id.
int | used_
| Is the segment currently used.;.

## Detailed Description

Keeps track of all the segments being used.

## Member Data Documentation

key_t ACE_Shared_Memory_Pool::SHM_TABLE::key_

| Shared memory segment key.

int ACE_Shared_Memory_Pool::SHM_TABLE::shmid_

| Shared memory segment internal id.

int ACE_Shared_Memory_Pool::SHM_TABLE::used_

| Is the segment currently used.;.

The documentation for this struct was generated from the following file:

- Shared_Memory_Pool.h